import es
import popuplib
import cPickle
import os
import playerlib
import gamethread
import cfglib

info = es.AddonInfo()
info.author      = "Sponko"
info.name        = "Regleglement"
info.basename    = "regles"
info.version     = "version 1.3a"
info.cfgpath     = "Reglement.cfg"

def load():
    es.msg("#multi", "#green[Reglement by Sponko]#default est actif !")

###Si vous souhaitez personaliser votre son a l'ouverture du menu des regles,###
###Equipez vous simpement d'un nouveau son et renommez le en "openmenu3.mp3"###
###Ensuite assurez vous qu'il dans le dossier "cstrike/sound/reglement/"###
###ATTENTION! CECI N'EST SEULEMENT MODIFIABLE AVANT DE LANCER VOTRE ADDON POUR LA PREMIERE FOIS !!###
###Si vous voulez par contre le changer et le renommer alors modifiez ci-dessous "['openmenu3.mp3']"###
###Avec le nom de votre fichier ainsi que a la ligne 82 "es.playsound.."###
###Mais toujours mettre vos sons dans "sound/reglement/" !!###
	
soundList = ['openmenu3.mp3']	

soundDir = 'reglement/'
	
def es_map_start(event_var):
   addSounds()

Adverts = []
AddonPath = es.getAddonPath('Reglement')
advert_file = open(AddonPath+'/info.txt')
for line in advert_file:
    Adverts.append(line.replace('\n', ''))
advert_file.close()
es.ServerVar('Advert_Timer').set(60)

def Advert_Loop(Count=0):
    if len(Adverts):
        es.msg('#multi', Adverts[Count])
    Count += 1
    if Count >= len(Adverts):
        Count = 0
    gamethread.delayedname(int(es.ServerVar('Advert_Timer')), 'sponko adverts', Advert_Loop, Count)

def unload():
    gamethread.cancelDelayed('sponko adverts')

Advert_Loop()

config = cfglib.AddonCFG(es.getAddonPath("Reglement") + "/" + info.cfgpath)

config.text("*****************************************") 
config.text("    " + info.name + " " + info.version)
config.text("    CONFIGURATION des extensions d'adverts")
config.text("*****************************************")
config.text("")
config.text("")
config.text("*****************************************")
config.text("    Note: Laissez extension_adverts_enable a 1 sinon vous le desactivez")
config.text("*****************************************")
config.text("")
config.text("    1 = Activer / 0 = Desactiver")
config.text("")

extension_adverts_enable = config.cvar("extension_adverts_enable", "1", "Activer ou Desactiver les extensions des regles")

def tell(userid, text):
    es.tell(userid, '#multi', '#green[Regles by Sponko]#lightgreen ' + text)

def extension(userid, args):
    steamid = es.getplayersteamid(userid)

def player_say(ev):
    userid = int(ev['userid'])
    player = playerlib.getPlayer(userid)
    if ev['text'] == '!regles':
        reglesMenu(userid, None)
        es.playsound(ev['userid'], 'reglement/openmenu3.mp3', 1.0)

###Si vous souhaitez editer vos regles, cela ce passe ci-dessous.###		
###A la place de "Bienvenue chez Les..." mettez votre message de bienvenue de votre Team !###	
###Attention a votre syntaxe ici pour mettre des apostrophes vous ferez comme ceci "l\'exemple"###
###Mais aussi ne mettez surtout pas d'accents et d'ailleurs nul part dans ce fichier###
###Veuillez laisser ceci devant chaque regles "->1." car cela correspond avec la touche a utiliser en jeu###

def reglesMenu(userid, args):
    steamid = es.getplayersteamid(userid)
    regles = popuplib.create('regles_menu')
    regles.addline('*Bienvenue Chez Les Deglingos!*')
    regles.addline(' ')
    regles.addline('Les Regles du Serveur:')
    regles.addline('->1. Pas d\'insultes !')
    regles.addline('->2. Cheat ou Hack Interdit !')
    regles.addline('->3. Campe non autorisee !')
    regles.addline('->4. Pas de Flood au Micro !')
    regles.addline('->0. Quitter apres lecture !')
    regles.addline(' ')
    regles.addline('*Script by Sponko*')

    regles.unsend(userid)
    regles.send(userid)
    regles.delete()
    regles.menuselect = reglesSelect
	
###Si vous souhaitez editer vos phrases d'extensions, cela se passe ci-dessous.###
###La phrase "if choice 1" corresponds au choix que vous avez mis en 1. ci-dessus.###
###Pour modifier votre phrase rendez vous a chaque fois apres "tell(userid,"  et rajoutez simplement votre advert entre les 2 crochets.###	
	
def reglesSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if extension_adverts_enable == 0:
            extension(userid, None)
        else: 
			tell(userid, "Ne proliferez aucunes formes d'insultes envers les autres joueurs !")
			reglesMenu(userid, None)
    elif choice == 2:
        if extension_adverts_enable == 0:
            extension(userid, None)
        else:
			tell(userid, "Si tu es surpris a Hacker par n'importe lequel moyen que ce soit, tu a 99% de chances d'etre Banni !")
			reglesMenu(userid, None)
    elif choice == 3:
        if extension_adverts_enable == 0:
            extension(userid, None)
        else:
			tell(userid, "Evite de rester au meme endroit et lance-toi sur tes objectifs !")
			reglesMenu(userid, None)
    elif choice == 4:
        if extension_adverts_enable == 0:
            extension(userid, None)
        else:
			tell(userid, "Veuillez ne pas utiliser le micro pour ennuyer tout le monde !")
			reglesMenu(userid, None)
		
   
   
def addSounds():
    for soundTitle in soundList:
        es.stringtable('downloadables', 'sound/' + soundDir + soundTitle)
    


def unload():
    es.msg("#multi", "#green[Reglement by Sponko]#default est maintenant inactif")


###Maintenant Faites fonctionner le tout sans oublier de mettre es_load Reglement###
###Avec un R majuscule sinon cela ne marchera pas###
###Et Please +Woot sur Eventscripts ! Thanks !###
